Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class CommonBaseEventImpl

    java.lang.Object
      |
      +--org.eclipse.hyades.logging.events.CommonBaseEventImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.eclipse.hyades.logging.core.ICommonBaseEvent, ICommonBaseEvent, org.eclipse.hyades.logging.core.IExternalizableToXml, org.eclipse.hyades.logging.core.IInternalizableFromXml, org.eclipse.hyades.logging.core.ISerializableAsXml, java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class CommonBaseEventImpl
extends java.lang.Object
implements ICommonBaseEvent, org.eclipse.hyades.logging.core.ISerializableAsXml, java.io.Serializable, java.lang.Cloneable

This is the class that embodies the Common Base Event as described in "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1"

Since:
  1.0
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `ICommonBaseEvent`, Serialized Form

Field Summary
`protected java.util.ArrayList` | `anyElements` Deprecated.
`protected java.util.ArrayList` | `associatedEvents` Deprecated.
`protected java.util.ArrayList` | `contextDataElements` Deprecated.
`protected java.lang.String` | `creationTime` Deprecated.
`protected long` | `creationTimeValue` Deprecated.
`protected long` | `elapsedTime` Deprecated.
`protected java.util.ArrayList` | `extendedDataElements` Deprecated.
`protected java.lang.String` | `extensionName` Deprecated.
`protected java.lang.String` | `globalInstanceId` Deprecated.
`protected java.lang.String` | `localInstanceId` Deprecated.
`protected java.lang.String` | `msg` Deprecated.
`protected IMsgDataElement` | `msgDataElement` Deprecated.
`protected java.lang.String[]` | `otherData` Deprecated.
`protected short` | `priority` Deprecated.
`protected short` | `repeatCount` Deprecated.
`protected IComponentIdentification` | `reporterComponentId` Deprecated.
`protected long` | `sequenceNumber` Deprecated.
`protected short` | `severity` Deprecated.
`protected ISituation` | `situation` Deprecated.
`protected java.lang.String` | `situationType` Deprecated.
`protected IComponentIdentification` | `sourceComponentId` Deprecated.

Fields inherited from interface org.eclipse.hyades.logging.events.ICommonBaseEvent
`PRIORITY_HIGH, PRIORITY_LOW, PRIORITY_MEDIUM, SEVERITY_CRITICAL, SEVERITY_FATAL, SEVERITY_HARMLESS, SEVERITY_INFORMATION, SEVERITY_MINOR, SEVERITY_UNKNOWN, SEVERITY_WARNING, VERSION_1_0, VERSION_1_0_1`

Constructor Summary
`protected` | `CommonBaseEventImpl()` Deprecated. No-argument protected constructor for CommonBaseEventImpl.

Method Summary
`void` | `addAnyElement(ICommonBaseEventAnyElement element)` Deprecated. Add an any element that this event is referencing.
`void` | `addAssociatedEvent(IAssociatedEvent event)` Deprecated. This property allows for the grouping of events.
`IAssociatedEvent` | `addAssociatedEvent(java.lang.String associationEngineName, java.lang.String associationEngineType, java.lang.String associationEngineId, java.lang.String[] resolvedEvents)` Deprecated. This property allows for the grouping of events.
`void` | `addContextDataElement(IContextDataElement element)` Deprecated. Add a context that this event is referencing.
`IContextDataElement` | `addContextDataElementWithId(java.lang.String contextType, java.lang.String contextName, java.lang.String contextId)` Deprecated. Add a context that this event is referencing.
`IContextDataElement` | `addContextDataElementWithValue(java.lang.String contextType, java.lang.String contextName, java.lang.String contextValue)` Deprecated. Add a context that this event is referencing.
`void` | `addExtendedDataElement(IExtendedDataElement element)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElement(java.lang.String name, int type, java.lang.String value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElement(java.lang.String name, int type, java.lang.String[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElement(java.lang.String name, java.lang.String value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElement(java.lang.String name, java.lang.String[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithBooleanArrayValue(java.lang.String name, boolean[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithBooleanValue(java.lang.String name, boolean value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithByteArrayValue(java.lang.String name, byte[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithByteValue(java.lang.String name, byte value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithDateArrayValue(java.lang.String name, java.lang.String[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithDateAsLongValue(java.lang.String name, long value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithDatesAsLongValue(java.lang.String name, long[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithDateValue(java.lang.String name, java.lang.String value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithDoubleArrayValue(java.lang.String name, double[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithDoubleValue(java.lang.String name, double value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithFloatArrayValue(java.lang.String name, float[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithFloatValue(java.lang.String name, float value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithHexValue(java.lang.String name, byte[] hexValue)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithHexValue(java.lang.String name, java.lang.String hexValue)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithIntArrayValue(java.lang.String name, int[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithIntValue(java.lang.String name, int value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithLongArrayValue(java.lang.String name, long[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithLongValue(java.lang.String name, long value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithShortArrayValue(java.lang.String name, short[] values)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`IExtendedDataElement` | `addExtendedDataElementWithShortValue(java.lang.String name, short value)` Deprecated. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl.
`void` | `clearAnyElements()` Deprecated. Removes all ICommonBaseEventAnyElements that this event is referencing
`void` | `clearAssociatedEvents()` Deprecated. Removes all IAssociatedEvents that this event is referencing
`void` | `clearContextDataElements()` Deprecated. Removes all IContextDataElements that this event is referencing
`void` | `clearExtendedDataElements()` Deprecated. Removes all IExtenedDataElements that this event is referencing
`java.lang.Object` | `clone()` Deprecated. return a cloned (copy by value) object.
`boolean` | `equals(java.lang.Object obj)` Deprecated. Determines is two different event instance are equal.
`java.lang.String` | `externalizeCanonicalXmlDocString()` Deprecated.
`java.lang.String` | `externalizeCanonicalXmlString()` Deprecated.
`ICommonBaseEventAnyElement` | `getAnyElement(java.lang.String name)` Deprecated. Get a named a any element that this event is referencing.
`java.util.List` | `getAnyElements()` Deprecated. Returns the ICommonBaseEventAnyElements An array of any elements that this event is referencing.
`java.util.List` | `getAssociatedEvents()` Deprecated. Returns the Associated events.
`java.lang.String` | `getCommonBaseEventImplVersion()` Deprecated. Use getVersion() as of 1.0.1.
`IContextDataElement` | `getContextDataElement(java.lang.String name)` Deprecated. Get a named a context that this event is referencing.
`java.util.List` | `getContextDataElements()` Deprecated. Returns the ContextDataElements An array of contexts that this event is referencing.
`java.lang.String` | `getCreationTime()` Deprecated. Returns the creationTime.
`long` | `getCreationTimeAsLong()` Deprecated. Returns the creationTime as a long holding the milliseconds since Jan 1, 1970.
`long` | `getElapsedTime()` Deprecated. Returns the elapsedTime.
`java.lang.String` | `getEventSchemaVersion()` Deprecated. Use getVersion() as of 1.0.1.
`IExtendedDataElement` | `getExtendedDataElement(java.lang.String name)` Deprecated. Get a named extended data element that this event is referencing
`java.util.List` | `getExtendedDataElements()` Deprecated. Returns the ExtendedDataElements associated with this event.
`java.lang.String` | `getExtensionName()` Deprecated. Returns the extensionName.
`java.lang.String` | `getGlobalInstanceId()` Deprecated. Returns the gloablInstanceId.
`java.lang.String` | `getLocalInstanceId()` Deprecated. Returns the localInstanceId.
`java.lang.String` | `getMsg()` Deprecated. Returns the msg.
`IMsgDataElement` | `getMsgDataElement()` Deprecated. Returns the msgDataElement.
`java.lang.String[]` | `getOtherData()` Deprecated. Returns the otherData.
`short` | `getPriority()` Deprecated. Returns the priority.
`short` | `getRepeatCount()` Deprecated. Returns the repeatCount.
`IComponentIdentification` | `getReporterComponentId()` Deprecated. Returns the reporterComponentId.
`long` | `getSequenceNumber()` Deprecated. Returns the sequenceNumber.
`short` | `getSeverity()` Deprecated. Returns the severity.
`ISituation` | `getSituation()` Deprecated. Returns the situation.
`java.lang.String` | `getSituationType()` Deprecated. Use the ISituation as of 1.0.1.
`IComponentIdentification` | `getSourceComponentId()` Deprecated. Returns the sourceComponentId.
`java.lang.String` | `getVersion()` Deprecated. Returns the Common Base Event implementation version.
`java.util.List` | `getVersions()` Deprecated. Returns the list of supported Common Base Event implementation version(s).
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g. null) state.
`void` | `internalizeCanonicalXmlDocString(java.lang.String value)` Deprecated.
`void` | `internalizeCanonicalXmlString(java.lang.String value)` Deprecated.
`boolean` | `isSetCreationTime()` Deprecated. Checks if the specified property is set.
`boolean` | `isSetElapsedTime()` Deprecated. Checks if the specified property is set.
`boolean` | `isSetPriority()` Deprecated. Checks if the specified property is set.
`boolean` | `isSetRepeatCount()` Deprecated. Checks if the specified property is set.
`boolean` | `isSetSequenceNumber()` Deprecated. Checks if the specified property is set.
`boolean` | `isSetSeverity()` Deprecated. Checks if the specified property is set.
`void` | `removeAnyElement(java.lang.String name)` Deprecated. Removes a named a any element that this event is referencing.
`void` | `removeContextDataElement(java.lang.String name)` Deprecated. Removes a named a context that this event is referencing.
`void` | `removeExtendedDataElement(java.lang.String name)` Deprecated. Remove a named extended data element that this event is referencing
`void` | `setCreationTime(long creationTime)` Deprecated. Sets the creationTime to a long that contains the milliseconds since Jan 1, 1970.
`void` | `setCreationTime(java.lang.String creationTime)` Deprecated. Sets the creationTime.
`void` | `setElapsedTime(long elapsedTime)` Deprecated. Sets the elapsedTime.
`void` | `setExtensionName(java.lang.String extensionName)` Deprecated. Sets the extensionName.
`void` | `setGlobalInstanceId(java.lang.String globalInstanceId)` Deprecated. Sets the gloablInstanceId.
`void` | `setLocalInstanceId(java.lang.String localInstanceId)` Deprecated. Sets the localInstanceId.
`void` | `setMsg(java.lang.String msg)` Deprecated. Sets the msg.
`void` | `setMsgDataElement(IMsgDataElement msgDataElement)` Deprecated. Sets the msgDataElement.
`IMsgDataElement` | `setMsgDataElement(java.lang.String msgCatalog, java.lang.String msgCatalogId, IMsgCatalogToken[] tokens, java.lang.String msgCatalogType, java.lang.String msgId, java.lang.String msgIdType, java.lang.String msgCatalogLocale)` Deprecated. Sets the msgDataElement.
`IMsgDataElement` | `setMsgDataElement(java.lang.String msgCatalog, java.lang.String msgCatalogId, java.lang.String[] tokens, java.lang.String msgCatalogType, java.lang.String msgId, java.lang.String msgIdType, java.lang.String msgCatalogLocale)` Deprecated. Sets the msgDataElement.
`void` | `setOtherData(java.lang.String[] otherData)` Deprecated. Sets the otherData.
`void` | `setPreferredVersion(java.lang.String preferredVersion)` Deprecated. Sets the preferredVersion.
`void` | `setPriority(short priority)` Deprecated. Sets the priority.
`void` | `setRepeatCount(short repeatCount)` Deprecated. Sets the repeatCount.
`void` | `setReporterComponentId(IComponentIdentification reporterComponentId)` Deprecated. Sets the reporterComponentId.
`IComponentIdentification` | `setReporterComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String location, java.lang.String locationType)` Deprecated. Sets the reporterComponentId.
`IComponentIdentification` | `setReporterComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String executionEnvironment, java.lang.String instanceId, java.lang.String location, java.lang.String locationType, java.lang.String processId, java.lang.String threadId)` Deprecated. Sets the reporterComponentId.
`void` | `setSequenceNumber(long sequenceNumber)` Deprecated. Sets the sequenceNumber.
`void` | `setSeverity(short severity)` Deprecated. Sets the severity.
`void` | `setSituation(ISituation situation)` Deprecated. Sets the situation.
`void` | `setSituationType(java.lang.String situationType)` Deprecated. Use the ISituation as of 1.0.1.
`void` | `setSourceComponentId(IComponentIdentification sourceComponentId)` Deprecated. Sets the sourceComponentId.
`IComponentIdentification` | `setSourceComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String location, java.lang.String locationType)` Deprecated. Sets the sourceComponentId.
`IComponentIdentification` | `setSourceComponentId(java.lang.String application, java.lang.String component, java.lang.String subComponent, java.lang.String componentType, java.lang.String componentIdType, java.lang.String executionEnvironment, java.lang.String instanceId, java.lang.String location, java.lang.String locationType, java.lang.String processId, java.lang.String threadId)` Deprecated. Sets the sourceComponentId.
`java.lang.String` | `toString()` Deprecated. Returns an XML string representation of the CommonBaseEvent
`void` | `unsetCreationTime()` Deprecated. Unsets the specified property is set.
`void` | `unsetElapsedTime()` Deprecated. Unsets the specified property is set.
`void` | `unsetPriority()` Deprecated. Unsets the specified property is set.
`void` | `unsetRepeatCount()` Deprecated. Unsets the specified property is set.
`void` | `unsetSequenceNumber()` Deprecated. Unsets the specified property is set.
`void` | `unsetSeverity()` Deprecated. Unsets the specified property is set.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### msgDataElement

    protected IMsgDataElement msgDataElement

  Deprecated.

### reporterComponentId

    protected IComponentIdentification reporterComponentId

  Deprecated.

### sourceComponentId

    protected IComponentIdentification sourceComponentId

  Deprecated.

### contextDataElements

    protected java.util.ArrayList contextDataElements

  Deprecated.

### extendedDataElements

    protected java.util.ArrayList extendedDataElements

  Deprecated.

### associatedEvents

    protected java.util.ArrayList associatedEvents

  Deprecated.

### anyElements

    protected java.util.ArrayList anyElements

  Deprecated.

### situation

    protected ISituation situation

  Deprecated.

### extensionName

    protected java.lang.String extensionName

  Deprecated.

### localInstanceId

    protected java.lang.String localInstanceId

  Deprecated.

### globalInstanceId

    protected java.lang.String globalInstanceId

  Deprecated.

### creationTime

    protected java.lang.String creationTime

  Deprecated.

### msg

    protected java.lang.String msg

  Deprecated.

### otherData

    protected java.lang.String[] otherData

  Deprecated.

### creationTimeValue

    protected long creationTimeValue

  Deprecated.

### elapsedTime

    protected long elapsedTime

  Deprecated.

### severity

    protected short severity

  Deprecated.

### priority

    protected short priority

  Deprecated.

### repeatCount

    protected short repeatCount

  Deprecated.

### sequenceNumber

    protected long sequenceNumber

  Deprecated.

### situationType

    protected java.lang.String situationType

  Deprecated.

Constructor Detail

### CommonBaseEventImpl

    protected CommonBaseEventImpl()

  Deprecated.
  No-argument protected constructor for CommonBaseEventImpl.

Method Detail

### addContextDataElement

    public void addContextDataElement(IContextDataElement element)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Add a context that this event is referencing. See the ContextDataElement definition (described on page 28) for details. This is an OPTIONAL property.

  Specified by:
    `addContextDataElement` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addContextDataElement(IContextDataElement)`

### addExtendedDataElement

    public void addExtendedDataElement(IExtendedDataElement element)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElement` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElement(IExtendedDataElement)`

### addAssociatedEvent

    public void addAssociatedEvent(IAssociatedEvent event)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  This property allows for the grouping of events. This property is a complex type that is made up of globalInstanceIds identifying the associated events along with a type field describing the type of association that is represented by the name of the association. Reserved keyword values include: 1. Contain 2. CausedBy 3. Cleared 4. MultiPart 5. Correlated This is an OPTIONAL property.

  Specified by:
    `addAssociatedEvent` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addAssociatedEvent(IAssociatedEvent)`

### getContextDataElements

    public java.util.List getContextDataElements()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the ContextDataElements An array of contexts that this event is referencing. See the ContextDataElement definition (described on page 28) for details. This is an OPTIONAL property.

  Specified by:
    `getContextDataElements` in interface `ICommonBaseEvent`
  Returns:
    List of Context Data Elements, otherwise an empty list.
  See Also:
    `ICommonBaseEvent.getContextDataElements()`

### getExtendedDataElements

    public java.util.List getExtendedDataElements()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the ExtendedDataElements associated with this event. An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `getExtendedDataElements` in interface `ICommonBaseEvent`
  Returns:
    List of Extended Data Elements, otherwise an empty list.
  See Also:
    `ICommonBaseEvent.getExtendedDataElements()`

### getAssociatedEvents

    public java.util.List getAssociatedEvents()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the Associated events. This property allows for the grouping of events. This property is a complex type that is made up of globalInstanceIds identifying the associated events along with a type field describing the type of association that is represented by the name of the association. Reserved keyword values include: 1. Contain 2. CausedBy 3. Cleared 4. MultiPart 5. Correlated This is an OPTIONAL property.

  Specified by:
    `getAssociatedEvents` in interface `ICommonBaseEvent`
  Returns:
    List of Associated Events, otherwise an empty list.
  See Also:
    `ICommonBaseEvent.getAssociatedEvents()`

### getContextDataElement

    public IContextDataElement getContextDataElement(java.lang.String name)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Get a named a context that this event is referencing. See the ContextDataElement definition (described on page 28) for details.

  Specified by:
    `getContextDataElement` in interface `ICommonBaseEvent`
  Parameters:
    `name` - the name of the element to be found
  Returns:
    IContextDataElement if the named element exists otherwise null is returned
  See Also:
    `ICommonBaseEvent.getContextDataElement(String)`

### getExtendedDataElement

    public IExtendedDataElement getExtendedDataElement(java.lang.String name)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Get a named extended data element that this event is referencing

  Specified by:
    `getExtendedDataElement` in interface `ICommonBaseEvent`
  Parameters:
    `name` - the name of the element to be found
  Returns:
    IExtendedDataElement if the named element exists otherwise null is returned
  See Also:
    `ICommonBaseEvent.getExtendedDataElement(String)`

### removeContextDataElement

    public void removeContextDataElement(java.lang.String name)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Removes a named a context that this event is referencing. See the ContextDataElement definition (described on page 28) for details.

  Specified by:
    `removeContextDataElement` in interface `ICommonBaseEvent`
  Parameters:
    `name` - the name of the element to be removed
  See Also:
    `ICommonBaseEvent.removeContextDataElement(String)`

### removeExtendedDataElement

    public void removeExtendedDataElement(java.lang.String name)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Remove a named extended data element that this event is referencing

  Specified by:
    `removeExtendedDataElement` in interface `ICommonBaseEvent`
  Parameters:
    `name` - the name of the element to be removed
  See Also:
    `ICommonBaseEvent.removeExtendedDataElement(String)`

### clearAssociatedEvents

    public void clearAssociatedEvents()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Removes all IAssociatedEvents that this event is referencing

  Specified by:
    `clearAssociatedEvents` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.clearAssociatedEvents()`

### clearContextDataElements

    public void clearContextDataElements()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Removes all IContextDataElements that this event is referencing

  Specified by:
    `clearContextDataElements` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.clearContextDataElements()`

### clearExtendedDataElements

    public void clearExtendedDataElements()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Removes all IExtenedDataElements that this event is referencing

  Specified by:
    `clearExtendedDataElements` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.clearExtendedDataElements()`

### addAnyElement

    public void addAnyElement(ICommonBaseEventAnyElement element)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Add an any element that this event is referencing. This is an OPTIONAL property.

  Specified by:
    `addAnyElement` in interface `ICommonBaseEvent`
  Since:
    1.0
  See Also:
    `ICommonBaseEvent.addAnyElement(ICommonBaseEventAnyElement)`

### getAnyElements

    public java.util.List getAnyElements()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the ICommonBaseEventAnyElements An array of any elements that this event is referencing. This is an OPTIONAL property.

  Specified by:
    `getAnyElements` in interface `ICommonBaseEvent`
  Returns:
    List of Any Elements, otherwise an empty list.
  Since:
    1.0
  See Also:
    `ICommonBaseEvent.getAnyElements()`

### getAnyElement

    public ICommonBaseEventAnyElement getAnyElement(java.lang.String name)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Get a named a any element that this event is referencing.

  Specified by:
    `getAnyElement` in interface `ICommonBaseEvent`
  Parameters:
    `name` - the name of the element to be found
  Returns:
    ICommonBaseEventAnyElement if the named element exists otherwise null is returned
  Since:
    1.0
  See Also:
    `ICommonBaseEvent.getAnyElement(String)`

### removeAnyElement

    public void removeAnyElement(java.lang.String name)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Removes a named a any element that this event is referencing.

  Specified by:
    `removeAnyElement` in interface `ICommonBaseEvent`
  Parameters:
    `name` - the name of the element to be removed
  Since:
    1.0
  See Also:
    `ICommonBaseEvent.removeAnyElement(String)`

### clearAnyElements

    public void clearAnyElements()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Removes all ICommonBaseEventAnyElements that this event is referencing

  Specified by:
    `clearAnyElements` in interface `ICommonBaseEvent`
  Since:
    1.0
  See Also:
    `ICommonBaseEvent.clearAnyElements()`

### getCreationTime

    public java.lang.String getCreationTime()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the creationTime. The date-time when the event was issued. The value MUST be as defined by the XML Schema dateTime data type. The value of the creationTime MUST provide granularity as precisely as the generating platform allows. This is a REQUIRED property.

  Specified by:
    `getCreationTime` in interface `ICommonBaseEvent`
  Returns:
    String
  See Also:
    `ICommonBaseEvent.getCreationTime()`

### getCreationTimeAsLong

    public long getCreationTimeAsLong()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the creationTime as a long holding the milliseconds since Jan 1, 1970.

  Specified by:
    `getCreationTimeAsLong` in interface `ICommonBaseEvent`
  Returns:
    long
  See Also:
    `ICommonBaseEvent.getCreationTimeAsLong()`

### getElapsedTime

    public long getElapsedTime()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the elapsedTime. This is the time interval or the elapsed time for the number of occurrences of a given event type that is specified by the repeatCount property. This value indicates the duration of the time within which the repeated events were observed. This is an OPTIONAL property. However, if repeatCount is specified you MUST specify a value for elapsedTime. The default value is 0, which is a valid value for this property. For this reason the '`isSetElapsedTime()`' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Specified by:
    `getElapsedTime` in interface `ICommonBaseEvent`
  Returns:
    long
  See Also:
    `ICommonBaseEvent.getElapsedTime()`

### getExtensionName

    public java.lang.String getExtensionName()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the extensionName. The name of an event class (or element in XML) that this event represents (e.g., CommonBaseEventImpl). The name is indicative of any additional elements expected to be present within the event. This is a OPTIONAL property. If the value specified is null, then its value is assumed to be 'CommonBaseEventImpl'. The maximum string length for extensionName MUST not exceed 64 bytes.

  Specified by:
    `getExtensionName` in interface `ICommonBaseEvent`
  Returns:
    String
  See Also:
    `ICommonBaseEvent.getExtensionName()`

### getGlobalInstanceId

    public java.lang.String getGlobalInstanceId()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the gloablInstanceId. The primary identifier for the event. This property MUST be globally unique and MAY be used as the primary key for the event. This is an OPTIONAL property. However, once this value is set it MUST never be changed. The recommend value is either a 128 bit or 256 bit Globally Unique Id (represented as hex string).

  Specified by:
    `getGlobalInstanceId` in interface `ICommonBaseEvent`
  Returns:
    String
  See Also:
    `ICommonBaseEvent.getGlobalInstanceId()`

### getLocalInstanceId

    public java.lang.String getLocalInstanceId()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the localInstanceId. A source supplied event identifier. There is no guarantee that this value is globally unique. This is an OPTIONAL property. The maximum string length for localInstanceId MUST not exceed 64 bytes.

  Specified by:
    `getLocalInstanceId` in interface `ICommonBaseEvent`
  Returns:
    String
  See Also:
    `ICommonBaseEvent.getLocalInstanceId()`

### getMsg

    public java.lang.String getMsg()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the msg. he text accompanying the event. This is typically the resolved message string in human readable format rendered for a specific locale. This is an OPTIONAL property. The maximum string length for msg MUST not exceed 3072 bytes.

  Specified by:
    `getMsg` in interface `ICommonBaseEvent`
  Returns:
    String
  See Also:
    `ICommonBaseEvent.getMsg()`

### getPriority

    public short getPriority()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the priority. Defines the importance of the event. The predefined priorities are: 1. Low 2. Medium 3. High The values are 0 to 100. The reserved value for Low is 10, for Medium is 50, and for High is 70. Other priorities MAY be added but MUST not exceed 100. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. For this reason the '`isSetPriority()`' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Specified by:
    `getPriority` in interface `ICommonBaseEvent`
  Returns:
    short
  See Also:
    `ICommonBaseEvent.getPriority()`

### getRepeatCount

    public short getRepeatCount()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the repeatCount. The number of occurrences of a given event for a specific time interval. This is an OPTIONAL property. A value of 0 or no value is indicative of no repeat of the event detected. The default value is 0, which is a valid value for this property. For this reason the '`isSetRepeatCount()`' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Specified by:
    `getRepeatCount` in interface `ICommonBaseEvent`
  Returns:
    short
  See Also:
    `ICommonBaseEvent.getRepeatCount()`

### getSequenceNumber

    public long getSequenceNumber()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the sequenceNumber. A source defined number that allows for multiple messages to be sent and processed in logical order different from the order in which they arrived at consumer location (e.g., an event server or management tools). The sequence number helps consumers to sort arrived messages. This is with respect to the creation time and to the particular reporter of the messages. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. For this reason the '`isSequenceNumber()`' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Specified by:
    `getSequenceNumber` in interface `ICommonBaseEvent`
  Returns:
    long
  See Also:
    `ICommonBaseEvent.getSequenceNumber()`

### getSeverity

    public short getSeverity()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the severity. The severity of the status the event is describing with respect to the application that reports the event. The predefined severity levels, in order of increasing severity, are as follows: 1. Unknown 2. Information SHOULD be used for cases when the event only contains general information and is not reporting an error. 3. Harmless SHOULD be used for cases when the error event has no effect on the normal operation of the resource. 4. Warning SHOULD be used when it is appropriate to let the user decide if an action is needed in response to the event. 5. Minor SHOULD be used to indicate that action is needed, but the situation is not serious at this time. 6. Critical SHOULD be used to indicate that an immediate action is needed and the scope is broad (perhaps an imminent outage to a critical resource will result). 7. Fatal SHOULD be used to indicate that an error occurred, but it is too late to take remedial action. The values are 0 to 70. The reserved values start at 0 for Unknown and increase by increments of 10 to 60 for Fatal. Other severities MAY be added but MUST not exceed 70. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. For this reason the '`isSetSeverity()`' method should always be called before calling this method. This allows the user to distinguish the default value from a value that has been set to 0.

  Specified by:
    `getSeverity` in interface `ICommonBaseEvent`
  Returns:
    short
  See Also:
    `ICommonBaseEvent.getSeverity()`

### getSituationType

    public java.lang.String getSituationType()

  Deprecated. Use the ISituation as of 1.0.1.

  Returns the situationType. The situationType specifies the type of the situation that caused the event to be reported. This is an extensible string value. Proposed reserved keywords are: 1. START 2. STOP 3. FEATURE 4. DEPENDENCY 5. REQUEST 6. CONFIGURE 7. CONNECT 8. CREATE 9. UNKNOWN This is an OPTIONAL property. The maximum string length for situationType MUST not exceed 64 bytes. NOTE: The situations type is being defined in parallel to the CommonBaseEventImpl effort in a separate document, Canonical Situations ' ACAB.CT0304.0.1. ' The type and the values of situationType are subject to change.

  Specified by:
    `getSituationType` in interface `ICommonBaseEvent`
  Returns:
    String The returned situationType.
  Since:
    1.0
  See Also:
    `ICommonBaseEvent.getSituationType()`

### getSourceComponentId

    public IComponentIdentification getSourceComponentId()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the sourceComponentId. Identification of the component that is 'affected' or was 'impacted' by the event or the situation. This is a REQUIRED property for the component that is affected by the situation.

  Specified by:
    `getSourceComponentId` in interface `ICommonBaseEvent`
  Returns:
    ComponentIdentificationImpl
  See Also:
    `ICommonBaseEvent.getSourceComponentId()`

### getMsgDataElement

    public IMsgDataElement getMsgDataElement()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the msgDataElement. Identification of the message that this event holds. See the MsgDataElementImpl definition (described on page 30). This is an OPTIONAL property.

  Specified by:
    `getMsgDataElement` in interface `ICommonBaseEvent`
  Returns:
    MsgDataElementImpl
  See Also:
    `ICommonBaseEvent.getMsgDataElement()`

### getOtherData

    public java.lang.String[] getOtherData()

  Deprecated.
  Returns the otherData.

  Specified by:
    `getOtherData` in interface `ICommonBaseEvent`
  Since:
    1.0.1
  See Also:
    `ICommonBaseEvent.getOtherData()`

### getReporterComponentId

    public IComponentIdentification getReporterComponentId()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Returns the reporterComponentId. Identification of the component that is the 'reporter' of the event or the situation. It is a REQUIRED property if the reporting component is different than the source component. Otherwise this field MUST be omitted.

  Specified by:
    `getReporterComponentId` in interface `ICommonBaseEvent`
  Returns:
    ComponentIdentificationImpl
  See Also:
    `ICommonBaseEvent.getReporterComponentId()`

### getSituation

    public ISituation getSituation()

  Deprecated.
  Returns the situation. The situation specifies the type of the situation that caused the event to be reported. This is an REQUIRED property.

  Specified by:
    `getSituation` in interface `ICommonBaseEvent`
  Returns:
    String The returned situation.
  Since:
    1.0.1
  See Also:
    `ICommonBaseEvent.getSituation()`

### getVersions

    public java.util.List getVersions()

  Deprecated.
  Returns the list of supported Common Base Event implementation version(s). The list of supported Common Base Event implementation version(s) are all the current and previous supported version(s) of the Common Base Event implementation. A string identifying the version of this event. This field is OPTIONAL in that if it isn?t specified, the version of the CBE is said to be 1.0. Otherwise this field MUST be filled in and MUST be consistent with the version specified in the schema header.The string length for version MUST NOT exceed 16 characters. When an application is creating an event following this version of the specification this field should be set to 1.0.1.

  Specified by:
    `getVersions` in interface `ICommonBaseEvent`
  Returns:
    List The returned list of supported Common Base Event implementation version(s).
  Since:
    1.0.1
  See Also:
    `ICommonBaseEvent.VERSION_1_0`, `ICommonBaseEvent.VERSION_1_0_1`

### setPreferredVersion

    public void setPreferredVersion(java.lang.String preferredVersion)
                             throws UnsupportedVersionException

  Deprecated.
  Sets the preferredVersion. The preferred version of the Common Base Event implementation as desired by the user. A string identifying the version of this event. This field is OPTIONAL in that if it isn?t specified, the version of the CBE is said to be 1.0. Otherwise this field MUST be filled in and MUST be consistent with the version specified in the schema header.The string length for version MUST NOT exceed 16 characters. When an application is creating an event following this version of the specification this field should be set to 1.0.1.

  Specified by:
    `setPreferredVersion` in interface `ICommonBaseEvent`
  Parameters:
    `preferredVersion` - The preferredVersion to be set.
  Throws:
    `UnsupportedVersionException` - The preferredVersion is not a valid version.
  Since:
    1.0.1
  See Also:
    `ICommonBaseEvent.VERSION_1_0`, `ICommonBaseEvent.VERSION_1_0_1`

### setCreationTime

    public void setCreationTime(java.lang.String creationTime)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the creationTime. The date-time when the event was issued. The value MUST be as defined by the XML Schema dateTime data type. The value of the creationTime MUST provide granularity as precisely as the generating platform allows. This is a REQUIRED property.

  Specified by:
    `setCreationTime` in interface `ICommonBaseEvent`
  Parameters:
    `creationTime` - The creationTime to set
  See Also:
    `ICommonBaseEvent.setCreationTime(String)`

### setCreationTime

    public void setCreationTime(long creationTime)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the creationTime to a long that contains the milliseconds since Jan 1, 1970.

  Specified by:
    `setCreationTime` in interface `ICommonBaseEvent`
  Parameters:
    `creationTime` - The creationTime to set
  See Also:
    `ICommonBaseEvent.setCreationTime(long)`

### setElapsedTime

    public void setElapsedTime(long elapsedTime)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the elapsedTime. This is the time interval or the elapsed time for the number of occurrences of a given event type that is specified by the repeatCount property. This value indicates the duration of the time within which the repeated events were observed. This is an OPTIONAL property. However, if repeatCount is specified you MUST specify a value for elapsedTime. The default value is 0, which is a valid value for this property. Use the '`isSetElapsedTime()`' to distinguish the default value from a value that has been set to 0.

  Specified by:
    `setElapsedTime` in interface `ICommonBaseEvent`
  Parameters:
    `elapsedTime` - The elapsedTime to set
  See Also:
    `ICommonBaseEvent.setElapsedTime(long)`

### setExtensionName

    public void setExtensionName(java.lang.String extensionName)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the extensionName. The name of an event class (or element in XML) that this event represents (e.g., CommonBaseEventImpl). The name is indicative of any additional elements expected to be present within the event. This is a OPTIONAL property. If the value specified is null, then its value is assumed to be 'CommonBaseEventImpl'. The maximum string length for extensionName MUST not exceed 64 bytes.

  Specified by:
    `setExtensionName` in interface `ICommonBaseEvent`
  Parameters:
    `extensionName` - The extensionName to set
  See Also:
    `ICommonBaseEvent.setExtensionName(String)`

### setGlobalInstanceId

    public void setGlobalInstanceId(java.lang.String globalInstanceId)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the gloablInstanceId. The primary identifier for the event. This property MUST be globally unique and MAY be used as the primary key for the event. This is an OPTIONAL property. However, once this value is set it MUST never be changed. The recommend value is either a 128 bit or 256 bit Globally Unique Id (represented as hex string).

  Specified by:
    `setGlobalInstanceId` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.setGlobalInstanceId(String)`

### setLocalInstanceId

    public void setLocalInstanceId(java.lang.String localInstanceId)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the localInstanceId. A source supplied event identifier. There is no guarantee that this value is globally unique. This is an OPTIONAL property. The maximum string length for localInstanceId MUST not exceed 64 bytes.

  Specified by:
    `setLocalInstanceId` in interface `ICommonBaseEvent`
  Parameters:
    `localInstanceId` - The localInstanceId to set
  See Also:
    `ICommonBaseEvent.setLocalInstanceId(String)`

### setMsg

    public void setMsg(java.lang.String msg)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the msg. The text accompanying the event. This is typically the resolved message string in human readable format rendered for a specific locale. This is an OPTIONAL property. The maximum string length for msg MUST not exceed 3072 bytes.

  Specified by:
    `setMsg` in interface `ICommonBaseEvent`
  Parameters:
    `msg` - The msg to set
  See Also:
    `ICommonBaseEvent.setMsg(String)`

### setOtherData

    public void setOtherData(java.lang.String[] otherData)

  Deprecated.
  Sets the otherData.

  Specified by:
    `setOtherData` in interface `ICommonBaseEvent`
  Since:
    1.0.1
  See Also:
    `ICommonBaseEvent.setOtherData(String[])`

### setPriority

    public void setPriority(short priority)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the priority. Defines the importance of the event. The predefined priorities are: 1. Low 2. Medium 3. High The values are 0 to 100. The reserved value for Low is 10, for Medium is 50, and for High is 70. Other priorities MAY be added but MUST not exceed 100. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. Use the '`isSetPriority()`' to distinguish the default value from a value that has been set to 0.

  Specified by:
    `setPriority` in interface `ICommonBaseEvent`
  Parameters:
    `priority` - The priority to set
  See Also:
    `ICommonBaseEvent.setPriority(short)`

### setRepeatCount

    public void setRepeatCount(short repeatCount)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the repeatCount. The number of occurrences of a given event for a specific time interval. This is an OPTIONAL property. A value of 0 or no value is indicative of no repeat of the event detected. The default value is 0, which is a valid value for this property. Use the '`isSetRepeatCount()`' to distinguish the default value from a value that has been set to 0.

  Specified by:
    `setRepeatCount` in interface `ICommonBaseEvent`
  Parameters:
    `repeatCount` - The repeatCount to set
  See Also:
    `ICommonBaseEvent.setRepeatCount(short)`

### setSequenceNumber

    public void setSequenceNumber(long sequenceNumber)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the sequenceNumber. A source defined number that allows for multiple messages to be sent and processed in logical order different from the order in which they arrived at consumer location (e.g., an event server or management tools). The sequence number helps consumers to sort arrived messages. This is with respect to the creation time and to the particular reporter of the messages. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. Use the '`isSetSequenceNumber()`' to distinguish the default value from a value that has been set to 0.

  Specified by:
    `setSequenceNumber` in interface `ICommonBaseEvent`
  Parameters:
    `sequenceNumber` - The sequenceNumber to set
  See Also:
    `ICommonBaseEvent.setSequenceNumber(long)`

### setSeverity

    public void setSeverity(short severity)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the severity. The severity of the status the event is describing with respect to the application that reports the event. The predefined severity levels, in order of increasing severity, are as follows: 1. Unknown 2. Information SHOULD be used for cases when the event only contains general information and is not reporting an error. 3. Harmless SHOULD be used for cases when the error event has no effect on the normal operation of the resource. 4. Warning SHOULD be used when it is appropriate to let the user decide if an action is needed in response to the event. 5. Minor SHOULD be used to indicate that action is needed, but the situation is not serious at this time. 6. Critical SHOULD be used to indicate that an immediate action is needed and the scope is broad (perhaps an imminent outage to a critical resource will result). 7. Fatal SHOULD be used to indicate that an error occurred, but it is too late to take remedial action. The values are 0 to 70. The reserved values start at 0 for Unknown and increase by increments of 10 to 60 for Fatal. Other severities MAY be added but MUST not exceed 70. This is an OPTIONAL property. The default value is 0, which is a valid value for this property. Use the '`isSetSeverity()`' to distinguish the default value from a value that has been set to 0.

  Specified by:
    `setSeverity` in interface `ICommonBaseEvent`
  Parameters:
    `severity` - The severity to set
  See Also:
    `ICommonBaseEvent.setSeverity(short)`

### setSituationType

    public void setSituationType(java.lang.String situationType)

  Deprecated. Use the ISituation as of 1.0.1.

  Sets the situationType. The situationType specifies the type of the situation that caused the event to be reported. This is an extensible string value. Proposed reserved keywords are: 1. START 2. STOP 3. FEATURE 4. DEPENDENCY 5. REQUEST 6. CONFIGURE 7. CONNECT 8. CREATE 9. UNKNOWN This is an OPTIONAL property. The maximum string length for situationType MUST not exceed 64 bytes. NOTE: The situations type is being defined in parallel to the CommonBaseEventImpl effort in a separate document, Canonical Situations ' ACAB.CT0304.0.1. ' The type and the values of situationType are subject to change.

  Specified by:
    `setSituationType` in interface `ICommonBaseEvent`
  Parameters:
    `situationType` - The situationType to set
  Since:
    1.0
  See Also:
    `ICommonBaseEvent.setSituationType(String)`

### setSourceComponentId

    public void setSourceComponentId(IComponentIdentification sourceComponentId)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the sourceComponentId. Identification of the component that is 'affected' or was 'impacted' by the event or the situation. This is a REQUIRED property for the component that is affected by the situation.

  Specified by:
    `setSourceComponentId` in interface `ICommonBaseEvent`
  Parameters:
    `sourceComponentId` - The sourceComponentId to set
  See Also:
    `ICommonBaseEvent.setSourceComponentId(IComponentIdentification)`

### setMsgDataElement

    public void setMsgDataElement(IMsgDataElement msgDataElement)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the msgDataElement. Identification of the message that this event holds. See the MsgDataElementImpl definition (described on page 30). This is an OPTIONAL property.

  Specified by:
    `setMsgDataElement` in interface `ICommonBaseEvent`
  Parameters:
    `msgDataElement` - The msgDataElement to set
  See Also:
    `ICommonBaseEvent.setMsgDataElement(IMsgDataElement)`

### setReporterComponentId

    public void setReporterComponentId(IComponentIdentification reporterComponentId)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the reporterComponentId. Identification of the component that is the 'reporter' of the event or the situation. It is a REQUIRED property if the reporting component is different than the source component. Otherwise this field MUST be omitted.

  Specified by:
    `setReporterComponentId` in interface `ICommonBaseEvent`
  Parameters:
    `reporterComponentId` - The reporterComponentId to set
  See Also:
    `ICommonBaseEvent.setReporterComponentId(IComponentIdentification)`

### setSituation

    public void setSituation(ISituation situation)

  Deprecated.
  Sets the situation. The situation specifies the type of the situation that caused the event to be reported. This is an REQUIRED property.

  Specified by:
    `setSituation` in interface `ICommonBaseEvent`
  Parameters:
    `situation` - The situation to be set.
  Since:
    1.0.1
  See Also:
    `ICommonBaseEvent.setSituation(ISituation)`

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.init()`

### externalizeCanonicalXmlString

    public java.lang.String externalizeCanonicalXmlString()

  Deprecated.
  Specified by:
    `externalizeCanonicalXmlString` in interface `org.eclipse.hyades.logging.core.IExternalizableToXml`
  See Also:
    `IExternalizableToXml.externalizeCanonicalXmlString()`

### externalizeCanonicalXmlDocString

    public java.lang.String externalizeCanonicalXmlDocString()

  Deprecated.
  Specified by:
    `externalizeCanonicalXmlDocString` in interface `org.eclipse.hyades.logging.core.IExternalizableToXml`
  See Also:
    `IExternalizableToXml.externalizeCanonicalXmlDocString()`

### internalizeCanonicalXmlString

    public void internalizeCanonicalXmlString(java.lang.String value)

  Deprecated.
  Specified by:
    `internalizeCanonicalXmlString` in interface `org.eclipse.hyades.logging.core.IInternalizableFromXml`
  See Also:
    `IInternalizableFromXml.internalizeCanonicalXmlString(java.lang.String)`

### internalizeCanonicalXmlDocString

    public void internalizeCanonicalXmlDocString(java.lang.String value)

  Deprecated.
  Specified by:
    `internalizeCanonicalXmlDocString` in interface `org.eclipse.hyades.logging.core.IInternalizableFromXml`
  See Also:
    `IInternalizableFromXml.internalizeCanonicalXmlDocString(java.lang.String)`

### getCommonBaseEventImplVersion

    public java.lang.String getCommonBaseEventImplVersion()

  Deprecated. Use getVersion() as of 1.0.1.

  Returns the Common Base Event implementation version. A string identifying the version of this event. This field is OPTIONAL in that if it isn?t specified, the version of the CBE is said to be 1.0. Otherwise this field MUST be filled in and MUST be consistent with the version specified in the schema header.The string length for version MUST NOT exceed 16 characters. When an application is creating an event following this version of the specification this field should be set to 1.0.1.

  Specified by:
    `getCommonBaseEventImplVersion` in interface `ICommonBaseEvent`
  Returns:
    String The version of the Common Base Event implementation.
  See Also:
    `ICommonBaseEvent.VERSION_1_0`, `ICommonBaseEvent.VERSION_1_0_1`

### getVersion

    public java.lang.String getVersion()

  Deprecated.
  Returns the Common Base Event implementation version. A string identifying the version of this event. This field is OPTIONAL in that if it isn?t specified, the version of the CBE is said to be 1.0. Otherwise this field MUST be filled in and MUST be consistent with the version specified in the schema header.The string length for version MUST NOT exceed 16 characters. When an application is creating an event following this version of the specification this field should be set to 1.0.1.

  Specified by:
    `getVersion` in interface `ICommonBaseEvent`
  Returns:
    String The version of the Common Base Event implementation.
  See Also:
    `ICommonBaseEvent.VERSION_1_0`, `ICommonBaseEvent.VERSION_1_0_1`

### getEventSchemaVersion

    public java.lang.String getEventSchemaVersion()

  Deprecated. Use getVersion() as of 1.0.1.

  Returns the Common Base Event XML schema version.

  Specified by:
    `getEventSchemaVersion` in interface `ICommonBaseEvent`
  Returns:
    String The version of the Common Base Event XML schema.
  See Also:
    `ICommonBaseEvent.VERSION_1_0`, `ICommonBaseEvent.VERSION_1_0_1`

### toString

    public java.lang.String toString()

  Deprecated.
  Returns an XML string representation of the CommonBaseEvent

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Determines is two different event instance are equal.

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Object
    `java.lang.CloneNotSupportedException`

### addAssociatedEvent

    public IAssociatedEvent addAssociatedEvent(java.lang.String associationEngineName,
                                               java.lang.String associationEngineType,
                                               java.lang.String associationEngineId,
                                               java.lang.String[] resolvedEvents)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  This property allows for the grouping of events. This property is a complex type that is made up of globalInstanceIds identifying the associated events along with a type field describing the type of association that is represented by the name of the association. Reserved keyword values include: 1. Contain 2. CausedBy 3. Cleared 4. MultiPart 5. Correlated This is an OPTIONAL property.

  Specified by:
    `addAssociatedEvent` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addAssociatedEvent(java.lang.String, java.lang.String, java.lang.String, java.lang.String[])`

### addContextDataElementWithId

    public IContextDataElement addContextDataElementWithId(java.lang.String contextType,
                                                           java.lang.String contextName,
                                                           java.lang.String contextId)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Add a context that this event is referencing. See the ContextDataElement definition (described on page 28) for details. This is an OPTIONAL property.

  Specified by:
    `addContextDataElementWithId` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addContextDataElementWithId(java.lang.String, java.lang.String, java.lang.String)`

### addContextDataElementWithValue

    public IContextDataElement addContextDataElementWithValue(java.lang.String contextType,
                                                              java.lang.String contextName,
                                                              java.lang.String contextValue)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Add a context that this event is referencing. See the ContextDataElement definition (described on page 28) for details. This is an OPTIONAL property.

  Specified by:
    `addContextDataElementWithValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addContextDataElementWithValue(java.lang.String, java.lang.String, java.lang.String)`

### addExtendedDataElement

    public IExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                       int type,
                                                       java.lang.String value)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElement` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElement(java.lang.String, int, java.lang.String)`

### addExtendedDataElement

    public IExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                       int type,
                                                       java.lang.String[] values)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElement` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElement(java.lang.String, int, java.lang.String[])`

### addExtendedDataElement

    public IExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                       java.lang.String value)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElement` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElement(java.lang.String, java.lang.String)`

### addExtendedDataElement

    public IExtendedDataElement addExtendedDataElement(java.lang.String name,
                                                       java.lang.String[] values)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElement` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElement(java.lang.String, java.lang.String[])`

### addExtendedDataElementWithByteArrayValue

    public IExtendedDataElement addExtendedDataElementWithByteArrayValue(java.lang.String name,
                                                                         byte[] values)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithByteArrayValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithByteArrayValue(java.lang.String, byte[])`

### addExtendedDataElementWithByteValue

    public IExtendedDataElement addExtendedDataElementWithByteValue(java.lang.String name,
                                                                    byte value)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithByteValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithByteValue(java.lang.String, byte)`

### addExtendedDataElementWithBooleanArrayValue

    public IExtendedDataElement addExtendedDataElementWithBooleanArrayValue(java.lang.String name,
                                                                            boolean[] values)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithBooleanArrayValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithBooleanArrayValue(java.lang.String, boolean[])`

### addExtendedDataElementWithBooleanValue

    public IExtendedDataElement addExtendedDataElementWithBooleanValue(java.lang.String name,
                                                                       boolean value)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithBooleanValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithBooleanValue(java.lang.String, boolean)`

### addExtendedDataElementWithDateArrayValue

    public IExtendedDataElement addExtendedDataElementWithDateArrayValue(java.lang.String name,
                                                                         java.lang.String[] values)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithDateArrayValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithDateArrayValue(java.lang.String, java.lang.String[])`

### addExtendedDataElementWithDateAsLongValue

    public IExtendedDataElement addExtendedDataElementWithDateAsLongValue(java.lang.String name,
                                                                          long value)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithDateAsLongValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithDateAsLongValue(java.lang.String, long)`

### addExtendedDataElementWithDatesAsLongValue

    public IExtendedDataElement addExtendedDataElementWithDatesAsLongValue(java.lang.String name,
                                                                           long[] values)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithDatesAsLongValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithDatesAsLongValue(java.lang.String, long[])`

### addExtendedDataElementWithDateValue

    public IExtendedDataElement addExtendedDataElementWithDateValue(java.lang.String name,
                                                                    java.lang.String value)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithDateValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithDateValue(java.lang.String, java.lang.String)`

### addExtendedDataElementWithDoubleArrayValue

    public IExtendedDataElement addExtendedDataElementWithDoubleArrayValue(java.lang.String name,
                                                                           double[] values)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithDoubleArrayValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithDoubleArrayValue(java.lang.String, double[])`

### addExtendedDataElementWithDoubleValue

    public IExtendedDataElement addExtendedDataElementWithDoubleValue(java.lang.String name,
                                                                      double value)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithDoubleValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithDoubleValue(java.lang.String, double)`

### addExtendedDataElementWithFloatArrayValue

    public IExtendedDataElement addExtendedDataElementWithFloatArrayValue(java.lang.String name,
                                                                          float[] values)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithFloatArrayValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithFloatArrayValue(java.lang.String, float[])`

### addExtendedDataElementWithFloatValue

    public IExtendedDataElement addExtendedDataElementWithFloatValue(java.lang.String name,
                                                                     float value)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithFloatValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithFloatValue(java.lang.String, float)`

### addExtendedDataElementWithHexValue

    public IExtendedDataElement addExtendedDataElementWithHexValue(java.lang.String name,
                                                                   byte[] hexValue)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithHexValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithHexValue(java.lang.String, byte[])`

### addExtendedDataElementWithHexValue

    public IExtendedDataElement addExtendedDataElementWithHexValue(java.lang.String name,
                                                                   java.lang.String hexValue)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithHexValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithHexValue(java.lang.String, java.lang.String)`

### addExtendedDataElementWithIntArrayValue

    public IExtendedDataElement addExtendedDataElementWithIntArrayValue(java.lang.String name,
                                                                        int[] values)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithIntArrayValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithIntArrayValue(java.lang.String, int[])`

### addExtendedDataElementWithIntValue

    public IExtendedDataElement addExtendedDataElementWithIntValue(java.lang.String name,
                                                                   int value)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithIntValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithIntValue(java.lang.String, int)`

### addExtendedDataElementWithLongArrayValue

    public IExtendedDataElement addExtendedDataElementWithLongArrayValue(java.lang.String name,
                                                                         long[] values)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithLongArrayValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithLongArrayValue(java.lang.String, long[])`

### addExtendedDataElementWithLongValue

    public IExtendedDataElement addExtendedDataElementWithLongValue(java.lang.String name,
                                                                    long value)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithLongValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithLongValue(java.lang.String, long)`

### addExtendedDataElementWithShortArrayValue

    public IExtendedDataElement addExtendedDataElementWithShortArrayValue(java.lang.String name,
                                                                          short[] values)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithShortArrayValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithShortArrayValue(java.lang.String, short[])`

### addExtendedDataElementWithShortValue

    public IExtendedDataElement addExtendedDataElementWithShortValue(java.lang.String name,
                                                                     short value)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  An array of product specific extensions for extensibility where you can provide any other attributes not accounted for in the CommonBaseEventImpl. Information placed here is assumed to be product specific data. This is an OPTIONAL property.

  Specified by:
    `addExtendedDataElementWithShortValue` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.addExtendedDataElementWithShortValue(java.lang.String, short)`

### isSetCreationTime

    public boolean isSetCreationTime()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Checks if the specified property is set.

  Specified by:
    `isSetCreationTime` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.isSetCreationTime()`

### isSetElapsedTime

    public boolean isSetElapsedTime()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Checks if the specified property is set.

  Specified by:
    `isSetElapsedTime` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.isSetElapsedTime()`

### isSetPriority

    public boolean isSetPriority()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Checks if the specified property is set.

  Specified by:
    `isSetPriority` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.isSetPriority()`

### isSetRepeatCount

    public boolean isSetRepeatCount()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Checks if the specified property is set.

  Specified by:
    `isSetRepeatCount` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.isSetRepeatCount()`

### isSetSequenceNumber

    public boolean isSetSequenceNumber()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Checks if the specified property is set.

  Specified by:
    `isSetSequenceNumber` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.isSetSequenceNumber()`

### isSetSeverity

    public boolean isSetSeverity()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Checks if the specified property is set.

  Specified by:
    `isSetSeverity` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.isSetSeverity()`

### setMsgDataElement

    public IMsgDataElement setMsgDataElement(java.lang.String msgCatalog,
                                             java.lang.String msgCatalogId,
                                             IMsgCatalogToken[] tokens,
                                             java.lang.String msgCatalogType,
                                             java.lang.String msgId,
                                             java.lang.String msgIdType,
                                             java.lang.String msgCatalogLocale)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the msgDataElement. Identification of the message that this event holds. See the MsgDataElementImpl definition (described on page 30). This is an OPTIONAL property.

  Specified by:
    `setMsgDataElement` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.setMsgDataElement(java.lang.String, java.lang.String, org.eclipse.hyades.logging.events.IMsgCatalogToken[], java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### setMsgDataElement

    public IMsgDataElement setMsgDataElement(java.lang.String msgCatalog,
                                             java.lang.String msgCatalogId,
                                             java.lang.String[] tokens,
                                             java.lang.String msgCatalogType,
                                             java.lang.String msgId,
                                             java.lang.String msgIdType,
                                             java.lang.String msgCatalogLocale)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the msgDataElement. Identification of the message that this event holds. See the MsgDataElementImpl definition (described on page 30). This is an OPTIONAL property.

  Specified by:
    `setMsgDataElement` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.setMsgDataElement(java.lang.String, java.lang.String, java.lang.String[], java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### setReporterComponentId

    public IComponentIdentification setReporterComponentId(java.lang.String application,
                                                           java.lang.String component,
                                                           java.lang.String subComponent,
                                                           java.lang.String componentType,
                                                           java.lang.String componentIdType,
                                                           java.lang.String executionEnvironment,
                                                           java.lang.String instanceId,
                                                           java.lang.String location,
                                                           java.lang.String locationType,
                                                           java.lang.String processId,
                                                           java.lang.String threadId)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the reporterComponentId. Identification of the component that is the 'reporter' of the event or the situation. It is a REQUIRED property if the reporting component is different than the source component. Otherwise this field MUST be omitted.

  Specified by:
    `setReporterComponentId` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.setReporterComponentId(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### setReporterComponentId

    public IComponentIdentification setReporterComponentId(java.lang.String application,
                                                           java.lang.String component,
                                                           java.lang.String subComponent,
                                                           java.lang.String componentType,
                                                           java.lang.String componentIdType,
                                                           java.lang.String location,
                                                           java.lang.String locationType)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the reporterComponentId. Identification of the component that is the 'reporter' of the event or the situation. It is a REQUIRED property if the reporting component is different than the source component. Otherwise this field MUST be omitted.

  Specified by:
    `setReporterComponentId` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.setReporterComponentId(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### setSourceComponentId

    public IComponentIdentification setSourceComponentId(java.lang.String application,
                                                         java.lang.String component,
                                                         java.lang.String subComponent,
                                                         java.lang.String componentType,
                                                         java.lang.String componentIdType,
                                                         java.lang.String executionEnvironment,
                                                         java.lang.String instanceId,
                                                         java.lang.String location,
                                                         java.lang.String locationType,
                                                         java.lang.String processId,
                                                         java.lang.String threadId)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the sourceComponentId. Identification of the component that is the 'source' of the event or the situation. It is a REQUIRED property if the reporting component is different than the source component. Otherwise this field MUST be omitted.

  Specified by:
    `setSourceComponentId` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.setSourceComponentId(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### setSourceComponentId

    public IComponentIdentification setSourceComponentId(java.lang.String application,
                                                         java.lang.String component,
                                                         java.lang.String subComponent,
                                                         java.lang.String componentType,
                                                         java.lang.String componentIdType,
                                                         java.lang.String location,
                                                         java.lang.String locationType)

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Sets the sourceComponentId. Identification of the component that is the 'source' of the event or the situation. It is a REQUIRED property if the reporting component is different than the source component. Otherwise this field MUST be omitted.

  Specified by:
    `setSourceComponentId` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.setSourceComponentId(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### unsetCreationTime

    public void unsetCreationTime()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Unsets the specified property is set.

  Specified by:
    `unsetCreationTime` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.unsetCreationTime()`

### unsetElapsedTime

    public void unsetElapsedTime()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Unsets the specified property is set.

  Specified by:
    `unsetElapsedTime` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.unsetElapsedTime()`

### unsetPriority

    public void unsetPriority()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Unsets the specified property is set.

  Specified by:
    `unsetPriority` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.unsetPriority()`

### unsetRepeatCount

    public void unsetRepeatCount()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Unsets the specified property is set.

  Specified by:
    `unsetRepeatCount` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.unsetRepeatCount()`

### unsetSequenceNumber

    public void unsetSequenceNumber()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Unsets the specified property is set.

  Specified by:
    `unsetSequenceNumber` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.unsetSequenceNumber()`

### unsetSeverity

    public void unsetSeverity()

  Deprecated.
  Description copied from interface: `ICommonBaseEvent`
  Unsets the specified property is set.

  Specified by:
    `unsetSeverity` in interface `ICommonBaseEvent`
  See Also:
    `ICommonBaseEvent.unsetSeverity()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD